//COBCLG   JOB (001),'COBOL COMPILE',CLASS=A,MSGCLASS=X                 00000100
//ISAMLOAD EXEC COBUCLG,REGION.GO=2048K,CPARM1='LOAD,DMAP'              00000243
//COB.SYSIN DD *
       IDENTIFICATION DIVISION.
       PROGRAM-ID. ISAMLOAD.
       REMARKS. READS SEQUENTIAL DATASET ON TAPE AND CREATES
                KEYED ISAM DATASET.
       ENVIRONMENT DIVISION.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.
           SELECT SEQ-FILE ASSIGN TO UT-S-SYSUT1.
           SELECT ISAM-FILE ASSIGN TO DA-I-SYSUT2
                            RECORD KEY IS IR-STUDENT-ID.
       DATA DIVISION.
       FILE SECTION.
       FD  SEQ-FILE
           RECORDING MODE IS F
           RECORD CONTAINS 88 CHARACTERS
           BLOCK CONTAINS 0 RECORDS
           LABEL RECORDS ARE STANDARD
           DATA RECORD IS SEQ-RECD.
       01  SEQ-RECORD.
           02  SR-STUDENT-ID           PIC X(09).
           02  SR-LAST-NAME            PIC X(10).
           02  SR-FIRST-NAME           PIC X(11).
           02  SR-MID-INITIAL          PIC X(01).
           02  SR-ADDRESS              PIC X(20).
           02  SR-CITY                 PIC X(20).
           02  SR-STATE                PIC X(02).
           02  SR-ZIPCODE              PIC X(05).
           02  SR-GENDER               PIC X(01).
           02  SR-BIRTHDATE            PIC X(08).
           02  FILLER                  PIC X(01).
       FD  ISAM-FILE
           RECORDING MODE IS F
           RECORD CONTAINS 100 CHARACTERS
           BLOCK CONTAINS 0 RECORDS
           LABEL RECORDS ARE STANDARD
           DATA RECORD IS ISAM-RECD.
       01  ISAM-RECD.
           02  IR-DELETE-CODE          PIC X(01).
           02  IR-STUDENT-ID           PIC X(09).
           02  IR-LAST-NAME            PIC X(10).
           02  IR-FIRST-NAME           PIC X(11).
           02  IR-MID-INITIAL          PIC X(01).
           02  IR-ADDRESS              PIC X(20).
           02  IR-CITY                 PIC X(20).
           02  IR-STATE                PIC X(02).
           02  IR-ZIPCODE              PIC X(05).
           02  IR-GENDER               PIC X(01).
           02  IR-BIRTHDATE            PIC X(08).
           02  FILLER                  PIC X(12).
       WORKING-STORAGE SECTION.
       01  FLAGS.
           02  END-OF-INPUT-FLAG       PIC X VALUE 'N'.
               88  END-OF-INPUT              VALUE 'Y'.
       PROCEDURE DIVISION.
      *
       MAIN-ROUTINE.
      *
           OPEN INPUT SEQ-FILE
                OUTPUT ISAM-FILE.
      *
           PERFORM PROCESS-ROUTINE
              THRU PROCESS-ROUTINE-EXIT
               UNTIL END-OF-INPUT.
      *
           CLOSE SEQ-FILE
                 ISAM-FILE.
      *
           STOP RUN.
      *
       PROCESS-ROUTINE.
      *
           PERFORM READ-SEQ-FILE
              THRU READ-SEQ-FILE-EXIT.
      *
           IF END-OF-INPUT
               GO TO PROCESS-ROUTINE-EXIT.
      *
           MOVE SPACES TO ISAM-RECD.
           MOVE LOW-VALUES TO IR-DELETE-CODE.
           MOVE SR-STUDENT-ID TO IR-STUDENT-ID.
           MOVE SR-LAST-NAME TO IR-LAST-NAME.
           MOVE SR-FIRST-NAME TO IR-FIRST-NAME.
           MOVE SR-MID-INITIAL TO IR-MID-INITIAL.
           MOVE SR-ADDRESS TO IR-ADDRESS.
           MOVE SR-CITY TO IR-CITY.
           MOVE SR-STATE TO IR-STATE.
           MOVE SR-ZIPCODE TO IR-ZIPCODE.
           MOVE SR-GENDER TO IR-GENDER.
           MOVE SR-BIRTHDATE TO IR-BIRTHDATE.
      *
           WRITE ISAM-RECD
               INVALID KEY
                   DISPLAY 'DUPLICATE OR SEQENCE ERROR: '
                           SR-STUDENT-ID.
      *
       PROCESS-ROUTINE-EXIT.
           EXIT.
      *
       READ-SEQ-FILE.
      *
           READ SEQ-FILE
               AT END
                   MOVE 'Y' TO END-OF-INPUT-FLAG.
      *
       READ-SEQ-FILE-EXIT.
           EXIT.
//GO.SYSPRINT DD SYSOUT=*                                               00000400
//GO.SYSOUT   DD SYSOUT=*                                               00000500
//GO.SYSUDUMP DD SYSOUT=*                                               00000600
//GO.SYSUT1 DD DSN=ISAMDATA,UNIT=TAPE,DISP=OLD,                         00000744
//             LABEL=(1,SL),VOL=SER=100001                              00000844
//GO.SYSUT2 DD DSN=JAY01.STUDENT.MASTER,DISP=MOD,                       00000944
//             AMP='AMORG,RECFM=F'                                      00001043
//                                                                      00001100
